Tasksv1Task Actions
Reassign task
Reassign task to different users
PATCH
/v1/customers/{customer_id}/tasks/{id}/reassignAuthorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
customer_id*string
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/tasks/497f6eca-6276-4993-bfeb-53cbbbba6f08/reassign" \ -H "Content-Type: application/json" \ -d '{ "assignees": [ "34794d63-f16a-4111-8668-1e3dd72c6e18" ] }'{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"title": "string",
"category": "sign",
"description": "string",
"is_urgent": true,
"status": "pending",
"weight": 0,
"performed_weight": 0,
"customer_id": "160c0c4b-9966-4dc1-a916-8407eb10d74e",
"assignees": [
{
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"name": "string",
"task_id": "736fde4d-9029-4915-8189-01353d6982cb",
"user_id": "a169451c-8525-4352-b8ca-070dd449a1a5",
"status": "pending",
"weight": 0,
"task_completed": true,
"assigned_at": "2019-08-24T14:15:22Z"
}
],
"created_at": "2019-08-24T14:15:22Z",
"created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
"metadata": {
"logs": [
{}
],
"actions": {
"property1": [
"string"
],
"property2": [
"string"
]
}
}
}{
"code": "tasks_m.task_not_found",
"message": "Task not found"
}